Name:           ritopt
Version:        0.2.1
Release:        16%{?dist}
Summary:        A Java library for parsing command-line options
License:        GPLv2+
Group:          Development/Tools
Url:            http://ritopt.sourceforge.net/
BuildArch:      noarch

Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}-all.tar.gz
## Patch for javadoc build
Patch0:         %{name}-0.2.1-javadoc.patch

BuildRequires:  jpackage-utils
BuildRequires:  java-devel
BuildRequires:  ant
BuildRequires:  tex(latex)

Requires:       java-headless
Requires:       jpackage-utils

%description
Ritopt is an options parser for the Java programming language

%package javadoc
Summary:        Javadoc for %{name}
Group:          Documentation
Requires:       jpackage-utils
%description javadoc
Documentation for the ritopt library

%prep
%setup -q 
%{__sed} -i 's/\r//' NEWS
%{__sed} -i 's/\r//' ChangeLog
%{__sed} -i 's/\r//' AUTHORS
%{__sed} -i 's/\r//' README
%patch0 -p0 -b .javadoc

%build
# Upstream uses autotools, but it's easier just to call the commands directly

# Compile the classes and make a jar file
mkdir classes
javac -d classes -source 1.5 -target 1.5 java/gnu/dtools/ritopt/*.java
cd classes
jar cvf %{name}-%{version}.jar gnu
cd ..

# Generate the javadoc
mkdir javadoc
javadoc -d javadoc java/gnu/dtools/ritopt/*.java

# Latex the documentation
cd tut
pdflatex tutorial.tex

%install
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -pm 644 classes/%{name}-%{version}.jar $RPM_BUILD_ROOT/%{_javadir}/%{name}.jar
install -d -m 755 ${RPM_BUILD_ROOT}%{_javadocdir}/
cp -r javadoc ${RPM_BUILD_ROOT}%{_javadocdir}/%{name}

%files
%doc tut/tutorial.pdf AUTHORS ChangeLog NEWS README
%{_javadir}/*.jar

%files javadoc
%{_javadocdir}/%{name}

%changelog
* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.1-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.1-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Oct 20 2015 Ding-Yi Chen <dchen@redhat.com> - 0.2.1-14
- Remove BuildRequires dos2unix
- Patch for Javadoc build

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.1-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.1-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Mar 28 2014 Michael Simacek <msimacek@redhat.com> - 0.2.1-11
- Use Requires: java-headless rebuild (#1067528)

* Sun Sep 08 2013 Mat Booth <fedora@matbooth.co.uk> - 0.2.1-10
- Drop unnecessary dep on ant-nodeps, rhbz #993199

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.1-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Feb 25 2013 Mary Ellen Foster <mefoster at gmail.com> - 0.2.1-8
- Update latex BuildRequirement

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Wed Mar 21 2012 Mary Ellen Foster <mefoster at gmail.com> - 0.2.1-5
- Further clean-ups: remove maven stuff and simplify install section

* Wed Mar 21 2012 Mary Ellen Foster <mefoster at gmail.com> - 0.2.1-4
- Add jpackage-utils to requirements of javadoc package

* Mon Feb 13 2012 Mary Ellen Foster <mefoster at gmail.com> - 0.2.1-3
- Remove defattr from files section

* Wed Jan 25 2012 Mary Ellen Foster <mefoster at gmail.com> - 0.2.1-2
- Remove clean section, install unversioned javadocs

* Wed Jan 25 2012 Mary Ellen Foster <mefoster at gmail.com> - 0.2.1-1
- Initial package
